@import "src/stylesheets/modules/colors";
@import "src/stylesheets/modules/sizes";
@import "src/stylesheets/modules/media-queries";

.text-editor {
    position: relative;
    min-height: $editor-height;
    margin: 0 auto 2rem;
    box-shadow: 0 0.5rem 2rem rgba(0,0,0,0.1);
    overflow: hidden;

    &__toolbar {
        font-size: 0;
        background: #F9F9F9;
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        height: 3rem;
        border: {
            style: solid;
            width: 0.0625rem;
            color: #F2F2F2;
            bottom: none;
            radius: 0.25rem 0.25rem 0 0;
        }

        &__item {
            display: inline-block;
            font-size: 1.25rem;
            list-style: none;
            position: relative;
            
            a {
                transition: color 250ms;
                display: block;
                line-height: 3rem;
                height: 3rem;
                width: 3rem;
                text-align: center;
                color: #90a4ae;
            }

            &--active a {
                color: $color-main;
            }

            &--is-settings {
                float: right;
            }
        }

        &__item:hover a {
            color: desaturate($color-main, 30%);
        }

        input[type="file"] {
            position: absolute;
            right: 0;
            margin: 0;
            bottom: 0;
            padding: 0;
            opacity: 0;
            height: 100%;
            widows:  100%;
            outline: none;
            cursor: cursor;
        }
    }

    &__options {
        position: absolute;
        right: 0;
        top: 3rem;
        bottom: 0;
        width: 20rem;
        background: white;
        border: 0.0625rem solid #F2F2F2;
        box-sizing: border-box;
        padding: 1.5rem 2rem;
        z-index: 100;

        @include mobile {
            width: 100%;
        }

        &::before {
            content: '';
            position: absolute;
            top: 0;
            right: 100%;
            width: 0.25rem;
            height: 100%;
            background: linear-gradient(to left, black, transparent);
            opacity: 0.05;
        }

        h2 {
            color: $color-main;
            margin: 0;
            font-size: 2rem;
            line-height: 2rem;
        }

        small {
            display: block;
            line-height: 1.5;
            font-weight: 300;

            + * {
                margin-top: 1rem;
            }
        }

        label {
            font-weight: 500;
            display: block;
            margin-top: 1rem;
        }

        input[type="checkbox"] + small {
            padding-left: 1.85rem;
        }

        select {
            display: block;
            width: 100%;
        }
    }
}

.slide-transition {
    transition: transform 250ms;
    transform: translate(0, 0);
}

.slide-enter, .slide-leave {
    transform: translate(100%, 0);
}
